/*
    Theseus - maximum likelihood superpositioning of macromolecular structures

    Copyright (C) 2004-2007 Douglas L. Theobald

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the:

    Free Software Foundation, Inc.,
    59 Temple Place, Suite 330,
    Boston, MA  02111-1307  USA

    -/_|:|_|_\-
*/

#ifndef DISTMAT_SEEN
#define DISTMAT_SEEN

typedef struct
{
    int             ntax; /* number of taxa */
    char          **taxa; /* pointer to array of taxa names */
    double        **dist; /* pointer to array of distances */
    int           **flag; /* pointer to array of flags for each pairwise dist */
} DISTMAT;


DISTMAT
*DISTMATalloc(int ntax);

void
DISTMATdestroy(DISTMAT *distmat);

void
print_NX_distmat(DISTMAT *distmat, char *NXfile_name);


#endif
